Search or ask Docker

ContainerInspectResponse

ContainerInspectResponse schema in Docker Engine API 1.57.

View Markdown

Schema

Type: object

AppArmorProfile

Type: string

The AppArmor profile set for the container.
All schema constraints and annotations
{
  "description": "The AppArmor profile set for the container.",
  "example": "",
  "type": "string"
}
Args

Type: array

The arguments to the command being run
Array item

Type: string

All schema constraints and annotations
{
  "type": "string"
}
All schema constraints and annotations
{
  "description": "The arguments to the command being run",
  "example": [
    "-c",
    "exit 9"
  ],
  "items": {
    "type": "string"
  },
  "type": "array"
}
Config

Schema: ContainerConfig

Created

Type: string

Date and time at which the container was created, formatted in RFC 3339 format with nano-seconds.
All schema constraints and annotations
{
  "description": "Date and time at which the container was created, formatted in\n[RFC 3339](https://www.ietf.org/rfc/rfc3339.txt) format with nano-seconds.",
  "example": "2025-02-17T17:43:39.64001363Z",
  "format": "dateTime",
  "type": "string",
  "x-nullable": true
}
Driver

Type: string

The storage-driver used for the container's filesystem (graph-driver or snapshotter).
All schema constraints and annotations
{
  "description": "The storage-driver used for the container's filesystem (graph-driver\nor snapshotter).",
  "example": "overlayfs",
  "type": "string"
}
ExecIDs

Type: array

IDs of exec instances that are running in the container.
Array item

Type: string

All schema constraints and annotations
{
  "type": "string"
}
All schema constraints and annotations
{
  "description": "IDs of exec instances that are running in the container.",
  "example": [
    "b35395de42bc8abd327f9dd65d913b9ba28c74d2f0734eeeae84fa1c616a0fca",
    "3fc1232e5cd20c8de182ed81178503dc6437f4e7ef12b52cc5e8de020652f1c4"
  ],
  "items": {
    "type": "string"
  },
  "type": "array",
  "x-nullable": true
}
GraphDriver

Schema: DriverData

All schema constraints and annotations
{
  "$ref": "#/components/schemas/DriverData",
  "x-nullable": true
}
HostConfig

Schema: HostConfig

HostnamePath

Type: string

Location of the /etc/hostname generated for the container on the host.

This file is managed through the docker daemon, and should not be accessed or modified by other tools.

All schema constraints and annotations
{
  "description": "Location of the `/etc/hostname` generated for the container on the\nhost.\n\nThis file is managed through the docker daemon, and should not be\naccessed or modified by other tools.",
  "example": "/var/lib/docker/containers/aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf/hostname",
  "type": "string"
}
HostsPath

Type: string

Location of the /etc/hosts generated for the container on the host.

This file is managed through the docker daemon, and should not be accessed or modified by other tools.

All schema constraints and annotations
{
  "description": "Location of the `/etc/hosts` generated for the container on the\nhost.\n\nThis file is managed through the docker daemon, and should not be\naccessed or modified by other tools.",
  "example": "/var/lib/docker/containers/aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf/hosts",
  "type": "string"
}
Id

Type: string

The ID of this container as a 128-bit (64-character) hexadecimal string (32 bytes).
All schema constraints and annotations
{
  "description": "The ID of this container as a 128-bit (64-character) hexadecimal string (32 bytes).",
  "example": "aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf",
  "maxLength": 64,
  "minLength": 64,
  "pattern": "^[0-9a-fA-F]{64}$",
  "type": "string",
  "x-go-name": "ID"
}
Image

Type: string

The ID (digest) of the image that this container was created from.
All schema constraints and annotations
{
  "description": "The ID (digest) of the image that this container was created from.",
  "example": "sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782",
  "type": "string"
}
ImageManifestDescriptor

Schema: OCIDescriptor

OCI descriptor of the platform-specific manifest of the image the container was created from.

Note: Only available if the daemon provides a multi-platform image store.

All schema constraints and annotations
{
  "$ref": "#/components/schemas/OCIDescriptor",
  "description": "OCI descriptor of the platform-specific manifest of the image\nthe container was created from.\n\nNote: Only available if the daemon provides a multi-platform\nimage store."
}
LogPath

Type: string

Location of the file used to buffer the container's logs. Depending on the logging-driver used for the container, this field may be omitted.

This file is managed through the docker daemon, and should not be accessed or modified by other tools.

All schema constraints and annotations
{
  "description": "Location of the file used to buffer the container's logs. Depending on\nthe logging-driver used for the container, this field may be omitted.\n\nThis file is managed through the docker daemon, and should not be\naccessed or modified by other tools.",
  "example": "/var/lib/docker/containers/5b7c7e2b992aa426584ce6c47452756066be0e503a08b4516a433a54d2f69e59/5b7c7e2b992aa426584ce6c47452756066be0e503a08b4516a433a54d2f69e59-json.log",
  "type": "string",
  "x-nullable": true
}
MountLabel

Type: string

SELinux mount label set for the container.
All schema constraints and annotations
{
  "description": "SELinux mount label set for the container.",
  "example": "",
  "type": "string"
}
Mounts

Type: array

List of mounts used by the container.
Array item

Schema: MountPoint

All schema constraints and annotations
{
  "description": "List of mounts used by the container.",
  "items": {
    "$ref": "#/components/schemas/MountPoint"
  },
  "type": "array"
}
Name

Type: string

The name associated with this container.

For historic reasons, the name may be prefixed with a forward-slash (/).

All schema constraints and annotations
{
  "description": "The name associated with this container.\n\nFor historic reasons, the name may be prefixed with a forward-slash (`/`).",
  "example": "/funny_chatelet",
  "type": "string"
}
NetworkSettings

Schema: NetworkSettings

Path

Type: string

The path to the command being run
All schema constraints and annotations
{
  "description": "The path to the command being run",
  "example": "/bin/sh",
  "type": "string"
}
Platform

Type: string

The platform (operating system) for which the container was created.

This field was introduced for the experimental "LCOW" (Linux Containers On Windows) features, which has been removed. In most cases, this field is equal to the host's operating system (linux or windows).

All schema constraints and annotations
{
  "description": "The platform (operating system) for which the container was created.\n\nThis field was introduced for the experimental \"LCOW\" (Linux Containers\nOn Windows) features, which has been removed. In most cases, this field\nis equal to the host's operating system (`linux` or `windows`).",
  "example": "linux",
  "type": "string"
}
ProcessLabel

Type: string

SELinux process label set for the container.
All schema constraints and annotations
{
  "description": "SELinux process label set for the container.",
  "example": "",
  "type": "string"
}
ResolvConfPath

Type: string

Location of the /etc/resolv.conf generated for the container on the host.

This file is managed through the docker daemon, and should not be accessed or modified by other tools.

All schema constraints and annotations
{
  "description": "Location of the `/etc/resolv.conf` generated for the container on the\nhost.\n\nThis file is managed through the docker daemon, and should not be\naccessed or modified by other tools.",
  "example": "/var/lib/docker/containers/aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf/resolv.conf",
  "type": "string"
}
RestartCount

Type: integer

Number of times the container was restarted since it was created, or since daemon was started.
All schema constraints and annotations
{
  "description": "Number of times the container was restarted since it was created,\nor since daemon was started.",
  "example": 0,
  "type": "integer"
}
SizeRootFs

Type: integer

The total size of all files in the read-only layers from the image that the container uses. These layers can be shared between containers.

This field is omitted by default, and only set when size is requested in the API request.

All schema constraints and annotations
{
  "description": "The total size of all files in the read-only layers from the image\nthat the container uses. These layers can be shared between containers.\n\nThis field is omitted by default, and only set when size is requested\nin the API request.",
  "example": "1653948416",
  "format": "int64",
  "type": "integer",
  "x-nullable": true
}
SizeRw

Type: integer

The size of files that have been created or changed by this container.

This field is omitted by default, and only set when size is requested in the API request.

All schema constraints and annotations
{
  "description": "The size of files that have been created or changed by this container.\n\nThis field is omitted by default, and only set when size is requested\nin the API request.",
  "example": "122880",
  "format": "int64",
  "type": "integer",
  "x-nullable": true
}
State

Schema: ContainerState

Storage

Schema: Storage

All schema constraints and annotations
{
  "$ref": "#/components/schemas/Storage",
  "x-nullable": true
}
All schema constraints and annotations
{
  "properties": {
    "AppArmorProfile": {
      "description": "The AppArmor profile set for the container.",
      "example": "",
      "type": "string"
    },
    "Args": {
      "description": "The arguments to the command being run",
      "example": [
        "-c",
        "exit 9"
      ],
      "items": {
        "type": "string"
      },
      "type": "array"
    },
    "Config": {
      "$ref": "#/components/schemas/ContainerConfig"
    },
    "Created": {
      "description": "Date and time at which the container was created, formatted in\n[RFC 3339](https://www.ietf.org/rfc/rfc3339.txt) format with nano-seconds.",
      "example": "2025-02-17T17:43:39.64001363Z",
      "format": "dateTime",
      "type": "string",
      "x-nullable": true
    },
    "Driver": {
      "description": "The storage-driver used for the container's filesystem (graph-driver\nor snapshotter).",
      "example": "overlayfs",
      "type": "string"
    },
    "ExecIDs": {
      "description": "IDs of exec instances that are running in the container.",
      "example": [
        "b35395de42bc8abd327f9dd65d913b9ba28c74d2f0734eeeae84fa1c616a0fca",
        "3fc1232e5cd20c8de182ed81178503dc6437f4e7ef12b52cc5e8de020652f1c4"
      ],
      "items": {
        "type": "string"
      },
      "type": "array",
      "x-nullable": true
    },
    "GraphDriver": {
      "$ref": "#/components/schemas/DriverData",
      "x-nullable": true
    },
    "HostConfig": {
      "$ref": "#/components/schemas/HostConfig"
    },
    "HostnamePath": {
      "description": "Location of the `/etc/hostname` generated for the container on the\nhost.\n\nThis file is managed through the docker daemon, and should not be\naccessed or modified by other tools.",
      "example": "/var/lib/docker/containers/aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf/hostname",
      "type": "string"
    },
    "HostsPath": {
      "description": "Location of the `/etc/hosts` generated for the container on the\nhost.\n\nThis file is managed through the docker daemon, and should not be\naccessed or modified by other tools.",
      "example": "/var/lib/docker/containers/aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf/hosts",
      "type": "string"
    },
    "Id": {
      "description": "The ID of this container as a 128-bit (64-character) hexadecimal string (32 bytes).",
      "example": "aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf",
      "maxLength": 64,
      "minLength": 64,
      "pattern": "^[0-9a-fA-F]{64}$",
      "type": "string",
      "x-go-name": "ID"
    },
    "Image": {
      "description": "The ID (digest) of the image that this container was created from.",
      "example": "sha256:72297848456d5d37d1262630108ab308d3e9ec7ed1c3286a32fe09856619a782",
      "type": "string"
    },
    "ImageManifestDescriptor": {
      "$ref": "#/components/schemas/OCIDescriptor",
      "description": "OCI descriptor of the platform-specific manifest of the image\nthe container was created from.\n\nNote: Only available if the daemon provides a multi-platform\nimage store."
    },
    "LogPath": {
      "description": "Location of the file used to buffer the container's logs. Depending on\nthe logging-driver used for the container, this field may be omitted.\n\nThis file is managed through the docker daemon, and should not be\naccessed or modified by other tools.",
      "example": "/var/lib/docker/containers/5b7c7e2b992aa426584ce6c47452756066be0e503a08b4516a433a54d2f69e59/5b7c7e2b992aa426584ce6c47452756066be0e503a08b4516a433a54d2f69e59-json.log",
      "type": "string",
      "x-nullable": true
    },
    "MountLabel": {
      "description": "SELinux mount label set for the container.",
      "example": "",
      "type": "string"
    },
    "Mounts": {
      "description": "List of mounts used by the container.",
      "items": {
        "$ref": "#/components/schemas/MountPoint"
      },
      "type": "array"
    },
    "Name": {
      "description": "The name associated with this container.\n\nFor historic reasons, the name may be prefixed with a forward-slash (`/`).",
      "example": "/funny_chatelet",
      "type": "string"
    },
    "NetworkSettings": {
      "$ref": "#/components/schemas/NetworkSettings"
    },
    "Path": {
      "description": "The path to the command being run",
      "example": "/bin/sh",
      "type": "string"
    },
    "Platform": {
      "description": "The platform (operating system) for which the container was created.\n\nThis field was introduced for the experimental \"LCOW\" (Linux Containers\nOn Windows) features, which has been removed. In most cases, this field\nis equal to the host's operating system (`linux` or `windows`).",
      "example": "linux",
      "type": "string"
    },
    "ProcessLabel": {
      "description": "SELinux process label set for the container.",
      "example": "",
      "type": "string"
    },
    "ResolvConfPath": {
      "description": "Location of the `/etc/resolv.conf` generated for the container on the\nhost.\n\nThis file is managed through the docker daemon, and should not be\naccessed or modified by other tools.",
      "example": "/var/lib/docker/containers/aa86eacfb3b3ed4cd362c1e88fc89a53908ad05fb3a4103bca3f9b28292d14bf/resolv.conf",
      "type": "string"
    },
    "RestartCount": {
      "description": "Number of times the container was restarted since it was created,\nor since daemon was started.",
      "example": 0,
      "type": "integer"
    },
    "SizeRootFs": {
      "description": "The total size of all files in the read-only layers from the image\nthat the container uses. These layers can be shared between containers.\n\nThis field is omitted by default, and only set when size is requested\nin the API request.",
      "example": "1653948416",
      "format": "int64",
      "type": "integer",
      "x-nullable": true
    },
    "SizeRw": {
      "description": "The size of files that have been created or changed by this container.\n\nThis field is omitted by default, and only set when size is requested\nin the API request.",
      "example": "122880",
      "format": "int64",
      "type": "integer",
      "x-nullable": true
    },
    "State": {
      "$ref": "#/components/schemas/ContainerState"
    },
    "Storage": {
      "$ref": "#/components/schemas/Storage",
      "x-nullable": true
    }
  },
  "title": "ContainerInspectResponse",
  "type": "object",
  "x-go-name": "InspectResponse"
}